Skip to main content
`Ctrl`+`K`

# SNESGetDM

Gets the `DM` that may be used by some `SNES` nonlinear solvers/preconditioners

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetDM(SNES snes, DM *dm)

Not Collective but `dm` obtained is parallel on `snes`

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- dm - the `DM`

## See Also

SNES: Nonlinear Solvers, `DM`, `SNES`, `SNESSetDM()`, `KSPSetDM()`, `KSPGetDM()`

## Level

intermediate

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex4.c
src/snes/tutorials/ex18.c
src/snes/tutorials/ex19.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex22.c
src/snes/tutorials/ex14.c
src/snes/tutorials/ex15.c
src/snes/tutorials/ex30.c
src/snes/tutorials/ex16.c
src/snes/tutorials/ex9.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages